> ## Documentation Index
> Fetch the complete documentation index at: https://docs.givebutter.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all messages



## OpenAPI

````yaml https://givebutter.com/docs/api.json get /v1/messages
openapi: 3.1.0
info:
  title: Givebutter API Documentation
  version: 1.0.0
  description: >-
    Givebutter Public API - Access and manage your campaigns, contacts,
    transactions, and more.
servers:
  - url: https://api.givebutter.com/
security:
  - http: []
paths:
  /v1/messages:
    get:
      tags:
        - Messages
      summary: List all messages
      operationId: messages.index
      responses:
        '200':
          description: Paginated set of `MessageResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/MessageResource'
                  links:
                    type: object
                    properties:
                      first:
                        type:
                          - string
                          - 'null'
                      last:
                        type:
                          - string
                          - 'null'
                      prev:
                        type:
                          - string
                          - 'null'
                      next:
                        type:
                          - string
                          - 'null'
                    required:
                      - first
                      - last
                      - prev
                      - next
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        minimum: 1
                      from:
                        type:
                          - integer
                          - 'null'
                        minimum: 1
                      last_page:
                        type: integer
                        minimum: 1
                      links:
                        type: array
                        description: Generated paginator links.
                        items:
                          type: object
                          properties:
                            url:
                              type:
                                - string
                                - 'null'
                            label:
                              type: string
                            active:
                              type: boolean
                          required:
                            - url
                            - label
                            - active
                      path:
                        type:
                          - string
                          - 'null'
                        description: Base path for paginator generated URLs.
                      per_page:
                        type: integer
                        description: Number of items shown per page.
                        minimum: 0
                      to:
                        type:
                          - integer
                          - 'null'
                        description: Number of the last item in the slice.
                        minimum: 1
                      total:
                        type: integer
                        description: Total number of items being paginated.
                        minimum: 0
                    required:
                      - current_page
                      - from
                      - last_page
                      - links
                      - path
                      - per_page
                      - to
                      - total
                required:
                  - data
                  - links
                  - meta
components:
  schemas:
    MessageResource:
      type: object
      properties:
        id:
          type: string
        status:
          type: string
        channel:
          type: string
        internal_name:
          type: string
        subject:
          type: string
        body:
          type: string
        recipient_filters:
          type: string
        recipient_count:
          type: string
        sent_at:
          type: string
        sending_at:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - status
        - channel
        - internal_name
        - body
        - recipient_filters
        - recipient_count
        - sent_at
        - sending_at
        - created_at
        - updated_at
      title: MessageResource
  securitySchemes:
    http:
      type: http
      scheme: bearer

````